plugins {
    id 'java'
}

group = 'com.eactive.eai'
version = '1.0.0'

java {
    sourceCompatibility = '17'
}

tasks.withType(JavaCompile) {
    options.encoding = 'UTF-8'
}

repositories {
    mavenCentral()
}

dependencies {
    implementation 'com.fasterxml.jackson.core:jackson-databind:2.15.2'
    implementation 'org.apache.httpcomponents.client5:httpclient5:5.2.1'

    testImplementation 'org.junit.jupiter:junit-jupiter:5.10.0'
}

tasks.named('test') {
    useJUnitPlatform()
}
